## gskzlib

gskzlib

## Synopsis

    GskErrorCode        gsk_zlib_error_to_gsk_error         (gint zlib_error_rv);
    const char *        gsk_zlib_error_to_message           (gint zlib_error_rv);

## Description

## Details

### gsk_zlib_error_to_gsk_error ()

    GskErrorCode        gsk_zlib_error_to_gsk_error         (gint zlib_error_rv);

Converts a zlib error code to a GskErrorCode.

`zlib_error_rv` : | error code returned by zlib. These are Z_OK, Z_STREAM_END, Z_NEED_DICT, Z_ERRNO, Z_STREAM_ERROR, Z_DATA_ERROR, etc.
Returns : | the best approximation for the zlib error in GSK's list.

### gsk_zlib_error_to_message ()

    const char *        gsk_zlib_error_to_message           (gint zlib_error_rv);

Find a string which corresponds to the given zlib error code.

`zlib_error_rv` : | the error code to convert to a string.
Returns : | the error message string text.